<div class="bg-product-grey">
  <div class="main-fr">
    <div class="first-row" style="min-height: 1000px">
      <v-col cols="12" sm="6">
        <div v-if="order && order._id" class="left-col">
          <p class="mb-10 fsize-20 contentBlack">Order Summary</p>
          <div
            v-if="order &&  order.listSelectedProductId && order.listSelectedProductId.length"
            :class=" order.listSelectedProductId && order.listSelectedProductId.length > 6 ? 'height-product-scroll' : ''"
          >
            <div
              v-for="(product,i) in order.listSelectedProductId"
              :key="product._id"
              class="d-flex justify-space-between"
            >
              <div class="fwidth">
                <div class="d-flex align-center justify-space-between fwidth">
                  <div class="d-flex fwidth">
                    <div
                      style="width: 98.5px; height: 100.5px"
                      class="pos-relative"
                    >
                      <img
                        :src="convertImg(product)"
                        alt=""
                        width="98.5"
                        height="100.5"
                        class="border-img-product"
                      />
                    </div>
                    <div class="ml-4 fwidth">
                      <p
                        class="mb-0 font-weight-bold"
                        style="color: #222222; min-height: 36px"
                      >
                        {{product && product.productName}}
                      </p>
                      <div
                        class="d-flex align-center justify-space-between mt-2"
                      >
                        <div>
                             <div
                          class=""
                          style="gap: 8px"
                          v-if="product && product.listVariant"
                        >
                        <p
                            class="mb-0 mt-2 fsize-14 font-weight-medium contrentBlack"
                            v-for="(variant, i) in Object.keys(product.listVariant)"
                          >
                            <span class="font-weight-bold lightContentPrimary">
                              {{ variant }}</span
                            >: {{ product.listVariant[variant] }}
                          </p>
                      </div>
                       <div v-else>
                         <span
                           v-if="product && product && product.listValue && product.listValue.length"
                           class="fsize-12 font-weight-bold"
                         >
                           {{product.listValue.join(" / ")}}
                         </span>
                       </div>
                        
                        </div>
                      </div>
                      <div class="d-flex align-center justify-space-between mt-2">
                          <span class="fsize-12 font-weight-bold">
                            Quantity:
                            <span class="font-weight-medium">
                              {{product.quantity}}
                            </span>
                          </span>
                        <p class="mb-0 fsize-16" style="color: #1a1a1a">
                          ${{product.price * product.quantity}}
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
                <v-divider class="my-5"></v-divider>
              </div>
            </div>
            <div class="">
              <div class="d-flex justify-end">
                <p>Subtotal</p>
                <h4 style="min-width: 80px; text-align: right">
                  ${{order.subTotal && order.subTotal.toFixed(2)}}
                </h4>
              </div>
              <div class="d-flex justify-end">
                <p>Shipping</p>
                <h4 style="min-width: 80px; text-align: right">
                  ${{order.shipping}}
                </h4>
              </div>
              <div class="d-flex justify-end">
                <p>Tip</p>
                <h4 style="min-width: 80px; text-align: right">
                  ${{order.tip}}
                </h4>
              </div>
              <div class="d-flex justify-end">
                <p>Total</p>
                <h4 style="min-width: 80px; text-align: right">
                  ${{order.total}}
                </h4>
              </div>
            </div>
          </div>
        </div>
      </v-col>
      <v-col cols="12" sm="6">
        <div
          v-if="order._id && order.shippingAddress"
          style="background-color: white; height: 100%"
        >
          <div class="py-8 px-md-5 px-2 pa-lg-8" style="height: 100%">
            <h2 class="mb-3 font-weight-bold mt-lg-8" style="color: black">
              Thanks for your payment, {{order.shippingAddress.firstName}}
              {{order.shippingAddress.lastName}}!
            </h2>
            <p class="mb-3 fsize-14 lightContentPrimary">
              Order {{order.orderCode}} is confirmed
            </p>
            <div class="w-full ml-0 first-row mt-3">
              <v-col cols="6" sm="3" class="px-0 px-md-3">
                <div
                  class="d-flex flex-column justify-space-between align-center"
                >
                  <div class="circle-check">
                    <v-icon large color="white">mdi-check</v-icon>
                  </div>
                  <h3 class="mt-1">Confirmed</h3>
                </div>
              </v-col>
              <v-col cols="6" sm="3" class="px-0 px-md-3">
                <div
                  class="d-flex flex-column justify-space-between align-center"
                >
                  <div class="circle-check">
                    <v-icon large color="white">mdi-check</v-icon>
                  </div>
                  <h3 class="mt-1">Processing</h3>
                </div>
              </v-col>
              <v-col cols="6" sm="3" class="px-0 px-md-3">
                <div
                  class="d-flex flex-column justify-space-between align-center"
                >
                  <div
                    v-if="order.orderStatus == 'fullfilled' || order.orderStatus == 'fulfilled' || order.orderStatus == 'done'"
                    class="circle-check"
                  >
                    <v-icon large color="white">mdi-check</v-icon>
                  </div>
                  <div v-else class="circle"></div>
                  <h3 class="mt-1">Shipped</h3>
                </div>
              </v-col>
              <v-col cols="6" sm="3" class="px-0 px-md-3">
                <div
                  class="d-flex flex-column justify-space-between align-center"
                >
                  <div v-if="order.orderStatus == 'done'" class="circle-check">
                    <v-icon large color="white">mdi-check</v-icon>
                  </div>
                  <div v-else class="circle"></div>
                  <h3 class="mt-1">Delivered</h3>
                </div>
              </v-col>
            </div>
            <div
              v-if="order.shippingAddress"
              class="main-row mx-auto mt-lg-15 mt-7"
            >
              <v-col cols="12" lg="6" class="px-0 px-sm-3">
                <h5 class="fsize-15">Contact</h5>
                <p class="mb-0 fsize-15 mt-1 lightContentPrimary">
                  {{order.shippingAddress.email}}
                </p>
                <p>{{order.shippingAddress.phoneNumber}}</p>
              </v-col>
              <v-col cols="12" lg="6" class="px-0 px-sm-3">
                <h5 class="fsize-15">Payments</h5>
                <p>
                  <span
                    class="fsize-15 lightContentPrimary"
                    v-if="order && order.paypal"
                  >
                    Paypal:
                    <span class="fsize-15 font-weight-bold lightContentPrimary"
                      >${{order.total}}</span
                    >
                  </span>
                  <span class="fsize-15 lightContentPrimary" v-else>
                    Credit Card:
                    <span class="fsize-15 font-weight-bold lightContentPrimary"
                      >${{order.total}}</span
                    >
                  </span>
                </p>
              </v-col>
              <v-col cols="12" lg="6" class="px-0 px-sm-3">
                <h5 class="fsize-15">Shipping address</h5>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.firstName}}
                  {{order.shippingAddress.lastName}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.address}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.apartment}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.state}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.city}},
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.country}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.companyName}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.zipCode}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.shippingAddress.phoneNumber}}
                </p>
              </v-col>
              <v-col
                cols="12"
                lg="6"
                class="px-0 px-sm-3"
                v-if="order && order.billingAddress"
              >
                <h5 class="fsize-15">Billing address</h5>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.firstName}}
                  {{order.billingAddress.lastName}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.address}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.apartment}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.state}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.city}},
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.country}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.companyName}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.zipCode}}
                </p>
                <p class="fsize-15 lightContentPrimary">
                  {{order.billingAddress.phoneNumber}}
                </p>
              </v-col>
            </div>
          </div>
        </div>
      </v-col>
    </div>
  </div>
</div>
